
#include <gtk/gtk.h>


#include "staff.h"
#include "support.h"




// Prototype
void ammp_staff (GtkWidget *button, gpointer data);


void ammp_about (GtkWidget *button, gpointer data)
{
  GtkWidget *about_dialog;
  GtkWidget *vbox;
  GtkWidget *staff_button;

  // Used for label where police size may be change
  GtkWidget *tmp_label;
  PangoFontDescription *font_desc;



  about_dialog = gtk_dialog_new_with_buttons (_("About..."),
                                              GTK_WINDOW (data),
                                              GTK_DIALOG_DESTROY_WITH_PARENT,
                                              NULL,
                                              GTK_RESPONSE_NONE,
                                              NULL);


  gtk_window_set_resizable (GTK_WINDOW (about_dialog), FALSE);
  gtk_container_set_border_width (GTK_CONTAINER (about_dialog), 8);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (GTK_DIALOG (about_dialog)->action_area),
                            GTK_BUTTONBOX_EDGE);


  vbox = gtk_vbox_new (FALSE, 8);
  gtk_container_add (GTK_CONTAINER (GTK_DIALOG (about_dialog)->vbox), vbox);


  gtk_box_pack_start (GTK_BOX (vbox),
                      create_pixmap ("logo.png"),
                      TRUE, TRUE, 4);


  tmp_label = gtk_label_new_with_mnemonic (PROGRAM);
  font_desc = pango_font_description_from_string ("Helvetica,Sans Bold 18");
  gtk_widget_modify_font (tmp_label, font_desc);
  gtk_box_pack_start (GTK_BOX (vbox),
                      tmp_label,
                      TRUE, TRUE, 0);

  tmp_label = gtk_label_new_with_mnemonic (_("AMmP is a Multimedia Player which is able to\n"
                                          "play various media streams"));
  font_desc = pango_font_description_from_string ("Helvetica,Sans Normal 12");
  gtk_widget_modify_font (tmp_label, font_desc);
  gtk_box_pack_start (GTK_BOX (vbox),
                      tmp_label,
                      TRUE, TRUE, 0);

  tmp_label = gtk_label_new_with_mnemonic (_("Homepage on http://yohba.free.fr"));
  font_desc = pango_font_description_from_string ("Helvetica,Sans Normal 10");
  gtk_widget_modify_font (tmp_label, font_desc);
  gtk_box_pack_start (GTK_BOX (vbox),
                      tmp_label,
                      FALSE, FALSE, 4);



  staff_button = gtk_button_new_with_mnemonic (_("View staff"));
  g_signal_connect (G_OBJECT (staff_button), "clicked",
                    G_CALLBACK (ammp_staff), (gpointer) about_dialog);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (about_dialog)->action_area),
                      staff_button,
                      TRUE, TRUE, 4);

  gtk_dialog_add_button (GTK_DIALOG (about_dialog), _("Close"), GTK_RESPONSE_NONE);


  gtk_widget_show_all (about_dialog);
  gtk_dialog_run (GTK_DIALOG (about_dialog));
  gtk_widget_destroy (about_dialog);
}



void ammp_staff (GtkWidget *button, gpointer data)
{
  GtkWidget *dialog;
  GtkWidget *vbox;
  GtkWidget *scrolled_window;



  dialog = gtk_dialog_new_with_buttons (_("About AMmP Staff..."),
                                        GTK_WINDOW (data),
                                        GTK_DIALOG_DESTROY_WITH_PARENT,
                                        _("Close"),
                                        GTK_RESPONSE_NONE,
                                        NULL);


  gtk_window_set_resizable (GTK_WINDOW (dialog), FALSE);

  vbox = gtk_vbox_new (FALSE, 8);
  gtk_container_add (GTK_CONTAINER (GTK_DIALOG (dialog)->vbox), vbox);

  scrolled_window = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_set_size_request (scrolled_window, 350, 200);
  gtk_scrolled_window_set_shadow_type (GTK_SCROLLED_WINDOW (scrolled_window),
                                      GTK_SHADOW_NONE);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolled_window),
                                  GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
  gtk_container_set_border_width (GTK_CONTAINER (scrolled_window), 10);
  gtk_scrolled_window_add_with_viewport (GTK_SCROLLED_WINDOW (scrolled_window),
                                        staff_box());
  gtk_box_pack_start (GTK_BOX (vbox), scrolled_window, FALSE, FALSE, 10);



  gtk_widget_show_all (vbox);
  gtk_dialog_run (GTK_DIALOG (dialog));
  gtk_widget_destroy (dialog);
}



void menu_about (gpointer callback_data, guint callback_action, GtkWidget *widget)
{
  ammp_about (NULL, callback_data);
}
