#ifndef CDAUDIO_STREAM_H
#define CDAUDIO_STREAM_H


#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <sys/param.h>
#include <mntent.h>
#include <getopt.h>
#include <linux/cdrom.h>


#include <glib.h>


#define DISC_ERROR    0
#define DISC_PLAYING  1
#define DISC_PAUSED   3
#define DISC_STOPPED  4
#define DISC_EJECTED  5



struct trackinfo
{
	gint	length;
	gint	start;		/* Starting position (f+s*75+m*60*75) */
	gint	track;
	gint	section;	/* Section number (0 if track not split) */
	gchar contd;		/* Flag: continuation of previous track */
	gchar avoid;		/* Flag: don't play this track. */
	gchar data;		/* Flag: data track */
};


struct cdinfo
{
	gint	ntracks;
	gint	length;
	struct trackinfo *trk;
};


struct play
{
	gint	start;	    /* Start track, or 0 if end of list */
	gint	end;		    /* last track plus 1 */
	gint	starttime;	/* Number of seconds elapsed previously */
};


typedef struct
{
	gint cur_track;
	gint cur_index;
	gint cur_lasttrack;
	gint cur_firsttrack;
	gint cur_pos_abs;
	gint cur_frame;
	gint cur_pos_rel;
	gint cur_tracklen;
	gint cur_cdlen;
	gint cur_ntracks;
	gint cur_nsections;
	gint cur_cdmode;
	gint cur_listno;
	gint cur_stopmode;
	gint cur_balance;
	gchar cur_contd;
	gchar cur_avoid;
	struct cdinfo thiscd;
	gint cd_fd;
	gint fTOCRead;
} cdType;



void cd_init (cdType *cdrom);
gint checkCDMounted (void);

gint cd_status (cdType *cdrom);
gint cd_eject (cdType *cdrom);
gint cd_play (cdType *cdrom, gint start, gint pos, gint end);
gint cd_pause (cdType *cdrom);
gint cd_stop (cdType *cdrom);


#endif
