#ifndef COMMON_H
#define COMMON_H

#include <glib.h>
#include <gtk/gtk.h>

#include <SDL/SDL.h>
#include <SDL/SDL_mixer.h>
#include <smpeg/smpeg.h>

#include "cdaudio_stream.h"
#include "support.h"


#define g_strlen(String) g_string_new(String)->len


// Some media's types...
#define MEDIA_ERROR   -1
#define MEDIA_IS_CDA  0
#define MEDIA_IS_MOD  1
#define MEDIA_IS_MP3  2
#define MEDIA_IS_MPG  3
#define MEDIA_IS_OGG  4
#define MEDIA_IS_WAV  5

#define TIMER_PERIOD  100


// Double size as default
#define VIDEO_SCALE 2

// Used for internationalization (and media type...)
#define TRACK_WORD    _("Track")


// Variables used through lots of sources
GtkItemFactory *item_factory;

GtkWidget *play_button, *pause_button, *stop_button;
GtkWidget *prev_button, *next_button;
GtkWidget *playlist_button;


gint timer;

GtkAdjustment *progress_adj;
GtkWidget *progress_hscale;
gint hscale_dragging;

GtkWidget *time_label;
gint h, m, s, f;

GtkWidget *media_title_label;

GPtrArray *medias_list;
gint media_num;
gint media_type;
gint is_playing;


SDL_Surface *screen;
SMPEG *mp3, *mpg;
SMPEG_Info mp3_info, mpg_info;

Mix_Music *music;


cdType cdrom;
static gchar *cd_device = "/dev/cdrom";
gint use_cdrom;

#endif
