
#include <stdio.h>

#include <glib.h>
#include <gtk/gtk.h>

#include <SDL/SDL.h>

#include "ammp.h"
#include "cdaudio_stream.h"
#include "common.h"
#include "support.h"




// Main...
int main (int argc, char **argv)
{
  GtkWidget *window = NULL;


  #ifdef ENABLE_NLS
    bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
    bind_textdomain_codeset (PACKAGE, "UTF-8");
    textdomain (PACKAGE);
  #endif

  gtk_set_locale();


  system ("clear");


  // Initialize APIs
  gtk_init (&argc, &argv);

  if (SDL_Init (SDL_INIT_AUDIO | SDL_INIT_VIDEO) < 0)
  {
    g_print (_("\nCan't initialize SDL in AUDIO, VIDEO, and CDROM mode :\n%s\n"),
            SDL_GetError());
    return (0);
  }
  atexit (exit_request);

  
  cd_init (&cdrom);
  checkCDMounted();
  memset (&cdrom.thiscd, 0, sizeof (cdrom.thiscd));

  /* TODO : implementation of a cdrom_usage function...
   * Use returns of previous functions */
  use_cdrom = cd_status (&cdrom);
  
  if ((cdrom.cur_cdmode == DISC_PLAYING || cdrom.cur_cdmode == DISC_PAUSED) && use_cdrom)
    cd_stop (&cdrom);

  cdrom.cur_track = 1;



  add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");

  g_print (_("\n%s on http://yohba.free.fr\n"), PROGRAM);
  g_print (_("Last main compilation the %s at %s\n\n"), __DATE__, __TIME__);


  window = ammp_run();
  gtk_widget_show_all (window);

  
  gtk_main();

  return (1);
}

