
#include <glib.h>
#include <gtk/gtk.h>


#include "common.h"
#include "support.h"


static const gchar *list_item_data_key = "list_item_data";



// Prototype
void del_selection (GtkWidget *button, GtkList *list);


void open_playlist (GtkWidget *button, gpointer data)
{
  GtkWidget *plist_dialog;
  GtkWidget *vbox;
  GtkWidget *list, *list_item;
  GtkWidget *scrolled_win;
  GtkWidget *del_button;

  gchar *buffer;
  gint i;


  plist_dialog = gtk_dialog_new_with_buttons (_("Playlist"),
                                          GTK_WINDOW (data),
                                          GTK_DIALOG_DESTROY_WITH_PARENT,
                                          NULL,
                                          GTK_RESPONSE_NONE,
                                          NULL);

  gtk_window_set_resizable (GTK_WINDOW (plist_dialog), FALSE);
  gtk_container_set_border_width (GTK_CONTAINER (plist_dialog), 8);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (GTK_DIALOG (plist_dialog)->action_area),
                            GTK_BUTTONBOX_EDGE);

  vbox = gtk_vbox_new (FALSE, 8);
  gtk_container_add (GTK_CONTAINER (GTK_DIALOG (plist_dialog)->vbox), vbox);


  gtk_box_pack_start (GTK_BOX (vbox),
                      gtk_label_new_with_mnemonic (
                      _("Select media you want to remove")),
                      TRUE, TRUE, 4);

  scrolled_win = gtk_scrolled_window_new (NULL, NULL);
  gtk_container_set_border_width (GTK_CONTAINER (scrolled_win), 5);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolled_win),
                                  GTK_POLICY_AUTOMATIC,
                                  GTK_POLICY_AUTOMATIC);
  gtk_box_pack_start (GTK_BOX (vbox),
                      scrolled_win,
                      TRUE, TRUE, 8);

  list = gtk_list_new();
  gtk_list_set_selection_mode (GTK_LIST (list), GTK_SELECTION_BROWSE);
  gtk_scrolled_window_add_with_viewport (GTK_SCROLLED_WINDOW (scrolled_win), list);


  for (i = 1; i <= medias_list->len; i++)
  {
    buffer = g_strdup_printf ("%s",
                              media_name (g_ptr_array_index (medias_list,
                              i == medias_list->len ? 0 : i)));
    list_item = gtk_list_item_new_with_label (buffer);
    gtk_object_set_data (GTK_OBJECT (list_item), list_item_data_key, buffer);
    gtk_container_add (GTK_CONTAINER (list), list_item);
  }


  del_button = gtk_button_new_with_mnemonic (_("Remove selection"));
  g_signal_connect (G_OBJECT (del_button), "clicked",
                    G_CALLBACK (del_selection), list);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (plist_dialog)->action_area),
                      del_button,
                      TRUE, TRUE, 4);

  gtk_dialog_add_button (GTK_DIALOG (plist_dialog), _("Close"), GTK_RESPONSE_NONE);


  gtk_widget_show_all (plist_dialog);
  gtk_dialog_run (GTK_DIALOG (plist_dialog));
  gtk_widget_destroy (plist_dialog);
}


void menu_playlist (gpointer callback_data, guint callback_action, GtkWidget *widget)
{
  open_playlist (NULL, callback_data);
}


/* TODO : a playlist manager.
 * Not entirely implemented yet... */
void del_selection (GtkWidget *button, GtkList *list)
{
  GList *p_list;
  GtkObject *list_item;
  gchar *item_data_string;

  p_list = GTK_LIST (list)->selection;

  if (!p_list)
    return;

	list_item = GTK_OBJECT (p_list->data);
	item_data_string = gtk_object_get_data (list_item, list_item_data_key);

}
