
#include <glib.h>
#include <gtk/gtk.h>


#include "staff.h"
#include "support.h"



void create_staff_list (void)
{
  Author author;

  authors = g_array_sized_new (FALSE, FALSE, sizeof (Author), 1);

  author.name         = g_strdup ("Yohan Bainier");
  author.nickname     = g_strdup ("Alceri");
  author.email        = g_strdup ("yohba@free.fr");
  author.homepage     = g_strdup ("http://yohba.free.fr");
  author.description  = g_strdup (_("Main developer of AMmP"));
  g_array_append_vals (authors, &author, 1);

  author.name         = g_strdup ("Jean-Baptiste Lafage");
  author.nickname     = g_strdup ("Remover");
  author.email        = g_strdup ("remover@free.fr");
  author.homepage     = g_strdup (NULL);
  author.description  = g_strdup (_("Bug hunter, designer"));
  g_array_append_vals (authors, &author, 1);

  author.name         = g_strdup ("Artur Khabibullin");
  author.nickname     = g_strdup ("slash_dot");
  author.email        = g_strdup ("slash_dot@pisem.net");
  author.homepage     = g_strdup (NULL);
  author.description  = g_strdup (_("Russian translator"));
  g_array_append_vals (authors, &author, 1);

  author.name         = g_strdup ("Takeshi Aihana");
  author.nickname     = g_strdup ("Takeshi");
  author.email        = g_strdup ("aihana@gnome.gr.jp");
  author.homepage     = g_strdup ("http://mikeforce.sog.or.jp");
  author.description  = g_strdup (_("Japanese translator"));
  g_array_append_vals (authors, &author, 1);
}


GtkWidget *staff_box (void)
{
  GtkWidget *vbox;

  // Used for label where police size may be change
  GtkWidget *tmp_label;
  PangoFontDescription *font_desc;

  gint i;


  create_staff_list();


  vbox = gtk_vbox_new (0, FALSE);


  for (i = 0; i < authors->len; i++)
  {
    tmp_label = gtk_label_new (g_array_index (authors, Author, i).name);
    font_desc = pango_font_description_from_string ("Helvetica,Sans Bold 12");
    gtk_widget_modify_font (tmp_label, font_desc);
    gtk_box_pack_start (GTK_BOX (vbox),
                      tmp_label,
                      FALSE, FALSE, 0);

    tmp_label = gtk_label_new (g_array_index (authors, Author, i).nickname);
    font_desc = pango_font_description_from_string ("Helvetica,Sans Oblique 12");
    gtk_widget_modify_font (tmp_label, font_desc);
    gtk_box_pack_start (GTK_BOX (vbox),
                      tmp_label,
                      FALSE, FALSE, 0);

    tmp_label = gtk_label_new (g_array_index (authors, Author, i).email);
    font_desc = pango_font_description_from_string ("Helvetica,Sans Normal 10");
    gtk_widget_modify_font (tmp_label, font_desc);
    gtk_box_pack_start (GTK_BOX (vbox),
                      tmp_label,
                      FALSE, FALSE, 0);

    if (g_array_index (authors, Author, i).homepage)
    {
      tmp_label = gtk_label_new (g_array_index (authors, Author, i).homepage);
      font_desc = pango_font_description_from_string ("Helvetica,Sans Normal 10");
      gtk_widget_modify_font (tmp_label, font_desc);
      gtk_box_pack_start (GTK_BOX (vbox),
                          tmp_label,
                          FALSE, FALSE, 0);
    }

    tmp_label = gtk_label_new (g_array_index (authors, Author, i).description);
    font_desc = pango_font_description_from_string ("Helvetica,Sans Normal 8");
    gtk_widget_modify_font (tmp_label, font_desc);
    gtk_box_pack_start (GTK_BOX (vbox),
                      tmp_label,
                      FALSE, FALSE, 0);

    // just a space
    gtk_box_pack_start (GTK_BOX (vbox),
                      gtk_label_new_with_mnemonic ("\n\n"),
                      FALSE, FALSE, 0);

  }



  return (vbox);
}
